<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Fri Mar 10 15:41:28 CET 2023 -->
<title>Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-03-10">
<meta name="description" content="index">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:C">C</h2>
<dl class="index">
<dt><a href="Texte.html#contient(Lettre)" class="member-name-link">contient(Lettre)</a> - Method in class <a href="Texte.html" title="class in Unnamed Package">Texte</a></dt>
<dd>
<div class="block">permet de savoir si la lettre placée en paramètre est dans la liste de lettres</div>
</dd>
</dl>
<h2 class="title" id="I:D">D</h2>
<dl class="index">
<dt><a href="Texte.html#decode(java.lang.String)" class="member-name-link">decode(String)</a> - Static method in class <a href="Texte.html" title="class in Unnamed Package">Texte</a></dt>
<dd>
<div class="block">permet de décoder un texte en morse</div>
</dd>
</dl>
<h2 class="title" id="I:E">E</h2>
<dl class="index">
<dt><a href="Lettre.html#equals(java.lang.Object)" class="member-name-link">equals(Object)</a> - Method in class <a href="Lettre.html" title="class in Unnamed Package">Lettre</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ExecutableMorse.html" class="type-name-link" title="class in Unnamed Package">ExecutableMorse</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ExecutableMorse.html#%3Cinit%3E()" class="member-name-link">ExecutableMorse()</a> - Constructor for class <a href="ExecutableMorse.html" title="class in Unnamed Package">ExecutableMorse</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:L">L</h2>
<dl class="index">
<dt><a href="Lettre.html" class="type-name-link" title="class in Unnamed Package">Lettre</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Lettre.html#%3Cinit%3E(char)" class="member-name-link">Lettre(char)</a> - Constructor for class <a href="Lettre.html" title="class in Unnamed Package">Lettre</a></dt>
<dd>
<div class="block">permet de créer une lettre sous forme de caractère</div>
</dd>
<dt><a href="Lettre.html#%3Cinit%3E(java.lang.String)" class="member-name-link">Lettre(String)</a> - Constructor for class <a href="Lettre.html" title="class in Unnamed Package">Lettre</a></dt>
<dd>
<div class="block">permet de créer une lettre à partir d'une chaîne de caractères correspondant à une lettre en morse</div>
</dd>
</dl>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><a href="ExecutableMorse.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class <a href="ExecutableMorse.html" title="class in Unnamed Package">ExecutableMorse</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Son.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class <a href="Son.html" title="class in Unnamed Package">Son</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:P">P</h2>
<dl class="index">
<dt><a href="Son.html#pause()" class="member-name-link">pause()</a> - Method in class <a href="Son.html" title="class in Unnamed Package">Son</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="Son.html" class="type-name-link" title="class in Unnamed Package">Son</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:T">T</h2>
<dl class="index">
<dt><a href="Texte.html" class="type-name-link" title="class in Unnamed Package">Texte</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Texte.html#%3Cinit%3E(java.lang.String)" class="member-name-link">Texte(String)</a> - Constructor for class <a href="Texte.html" title="class in Unnamed Package">Texte</a></dt>
<dd>
<div class="block">permet de créer un texte à partir d'une chaîne de caractères</div>
</dd>
<dt><a href="Lettre.html#toChar()" class="member-name-link">toChar()</a> - Method in class <a href="Lettre.html" title="class in Unnamed Package">Lettre</a></dt>
<dd>
<div class="block">permet de renvoyer un caractère</div>
</dd>
<dt><a href="Lettre.html#toMorse()" class="member-name-link">toMorse()</a> - Method in class <a href="Lettre.html" title="class in Unnamed Package">Lettre</a></dt>
<dd>
<div class="block">permet de traduire un texte en morse</div>
</dd>
<dt><a href="Texte.html#toMorse()" class="member-name-link">toMorse()</a> - Method in class <a href="Texte.html" title="class in Unnamed Package">Texte</a></dt>
<dd>
<div class="block">permet de créer un texte en morse à partir de la liste de lettres</div>
</dd>
<dt><a href="Son.html#tone(int)" class="member-name-link">tone(int)</a> - Method in class <a href="Son.html" title="class in Unnamed Package">Son</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Lettre.html#toNumero()" class="member-name-link">toNumero()</a> - Method in class <a href="Lettre.html" title="class in Unnamed Package">Lettre</a></dt>
<dd>
<div class="block">permet de convertir une lettre en un entier par rapport à sa place dans l'alphabet</div>
</dd>
<dt><a href="Texte.html#toSon()" class="member-name-link">toSon()</a> - Method in class <a href="Texte.html" title="class in Unnamed Package">Texte</a></dt>
<dd>
<div class="block">permet d'émettre du son pour communiquer en morse</div>
</dd>
<dt><a href="Lettre.html#toString()" class="member-name-link">toString()</a> - Method in class <a href="Lettre.html" title="class in Unnamed Package">Lettre</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Texte.html#toString()" class="member-name-link">toString()</a> - Method in class <a href="Texte.html" title="class in Unnamed Package">Texte</a></dt>
<dd>
<div class="block">permet de créer une chaîne de caractères à partir de la liste de lettres</div>
</dd>
</dl>
<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
